Avisi cloud logo
OpenapiGenerated

Query k8s audit logs for cluster

GET
/api/v1/orgs/{organisationSlug}/audit/cluster/{clusterIdentity}/events

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
clusterIdentity*string
Formatuuid

Query Parameters

query?string
Default""
filter?string
Default""
limit?integer
Formatint32
Default100
start?string
end?string
since?string
Default""
interval?string
Default""
direction?string
Default"backward"
Value in"forward""backward"

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/audit/cluster/497f6eca-6276-4993-bfeb-53cbbbba6f08/events'
Example Response
[  {    "lokiTimestamp": "2019-08-24T14:15:22Z",    "kind": "string",    "apiVersion": "string",    "level": "string",    "auditID": "string",    "stage": "string",    "requestURI": "string",    "verb": "string",    "user": {      "username": "string",      "groups": [        "string"      ],      "extra": {        "property1": [          "string"        ],        "property2": [          "string"        ]      }    },    "sourceIPs": [      "string"    ],    "userAgent": "string",    "objectRef": {      "resource": "string",      "subresource": "string",      "namespace": "string",      "name": "string",      "apiVersion": "string"    },    "responseStatus": {      "metadata": {        "property1": null,        "property2": null      },      "code": 0    },    "requestObject": {      "property1": null,      "property2": null    },    "responseObject": {      "property1": null,      "property2": null    },    "requestReceivedTimestamp": "2019-08-24T14:15:22Z",    "stageTimestamp": "2019-08-24T14:15:22Z",    "annotations": {      "property1": "string",      "property2": "string"    }  }]